
Sistema Integrado de Radar - Task #715

Milestone # 18 (Closed): APIs de los dispositivos de radar

API del ABS

06/21/2016 09:58 PM - Fiorella Quino

Status: Closed Start date: 06/21/2016

Priority: Normal Due date: 06/30/2016

Assignee: Fiorella Quino % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: Versión 1.0 Spent time: 66.00 hours

Description

Api rest: Bottle

History

#1 - 06/27/2016 10:47 PM - Fiorella Quino

- Status changed from New to Resolved

- % Done changed from 0 to 90

-Se desarrollo servidor web usando bottle

-Se desarrollo scripts con funciones para envio y lectura de bits. (configuracion y monitoreo)

#2 - 06/27/2016 10:56 PM - Fiorella Quino

- % Done changed from 90 to 100

#3 - 07/19/2016 05:05 PM - Fiorella Quino

- Status changed from Resolved to In progress

- % Done changed from 100 to 60

Para recibir la configuración en json, en los embebidos corre un Servidor Web en bottle framework.

Para realizar los cambios de apunte, el SIR se comunica con el servidor en C (que se encuentra en el embebido) debido a su rapidez.

#4 - 08/11/2016 02:46 PM - Fiorella Quino

- % Done changed from 60 to 70

Pruebas de latencia para seleccionar método de conexión más rápido y estable.

Métodos de prueba: Multicast group (sockets), Multiprocessing (sockets), Threading (sockets), Restful y método actualmente  usado (sockets).

Se recomienda: sockets - multiprocessing (librería python)

#5 - 09/20/2016 01:35 PM - Fiorella Quino

- % Done changed from 70 to 90

El SIR envía data en json con la lista de beams (o apuntes) a cada módulo abs. La data presenta el siguiente formato: {'beams': ListaDeBeams }. La

Lista de Beams es un conjunto de caracteres en ASCII, y cada caracter representa 6 bits. Por ejemplo: {'beams': '.YZ*J'}, está enviando una lista de

5 beams y, si cada caracter representa una configuración de 6 bits, la lista de beams sería: '001101' '111000' '111001' '001001' '101001'. Esta

decodificación se realiza dentro de cada sistema embebido abs.
#6 - 10/24/2016 04:45 PM - Fiorella Quino

- % Done changed from 90 to 100

#7 - 10/24/2016 04:46 PM - Fiorella Quino

- Status changed from In progress to Resolved

#8 - 09/03/2017 06:06 PM - Juan Carlos Espinoza

- Status changed from Resolved to Closed

Powered by TCPDF (www.tcpdf.org)

04/04/2025 2/2

http://www.tcpdf.org

